## ros-rolling-rosbag2-performance-benchmarking 0.13.0

=== debian/changelog ===
ros-rolling-rosbag2-performance-benchmarking (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.12.0-1focal) focal; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
    * Enable YAML encoding/decoding for RecordOptions and StorageOptions
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.11.0-1focal) focal; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.0-1focal) focal; urgency=high

  * Updated node declare_parameter to new syntax (#882 <https://github.com/ros2/rosbag2/issues/882>)
  * Updated benchmark package to use writer close() instead of old reset() (#881 <https://github.com/ros2/rosbag2/issues/881>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.8.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.7.0-1focal) focal; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)
  * report of performance improvements in rosbag2 (roughly since Foxy) (#651 <https://github.com/ros2/rosbag2/issues/651>)
  * Performance benchmarking improvements (#634 <https://github.com/ros2/rosbag2/issues/634>)
  * Contributors: Adam Dąbrowski, Piotr Jaroszek

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.6.0-1focal) focal; urgency=high

  * Performance benchmarking refactor (#594 <https://github.com/ros2/rosbag2/issues/594>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.5.0-1focal) focal; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.4.0-1focal) focal; urgency=high

  * read yaml config file (#497 <https://github.com/ros2/rosbag2/issues/497>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * performance testing packages (#442 <https://github.com/ros2/rosbag2/issues/442>)
  * Contributors: Adam Dąbrowski, Karsten Knese, Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Nov 2019 01:51:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 21:55:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.5-1focal) focal; urgency=high




