## ros-rolling-rosbag2-performance-benchmarking 0.24.0

=== debian/changelog ===
ros-rolling-rosbag2-performance-benchmarking (0.24.0-1jammy) jammy; urgency=high

  * Set CPU affinity for producers and recorder from benchmark parameters (#1305 <https://github.com/ros2/rosbag2/issues/1305>)
  * Add CPU usage to rosbag2_performance_benchmarking results report (#1304 <https://github.com/ros2/rosbag2/issues/1304>)
  * Add config option to use storage_id parameter in benchmark_launch.py (#1303 <https://github.com/ros2/rosbag2/issues/1303>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.22.0-1jammy) jammy; urgency=high

  * Add tests for rosbag2_performance_benchmarking pkg (#1268 <https://github.com/ros2/rosbag2/issues/1268>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.21.0-1jammy) jammy; urgency=high

  * Fix expectations for rosbag2 return code in rosbag2_performance_benchmarking (#1267 <https://github.com/ros2/rosbag2/issues/1267>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use thread pool to run benchmark publishers in rosbag2_performance_benchmarking (#1250 <https://github.com/ros2/rosbag2/issues/1250>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, Shane Loretz, carlossvg

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.20.0-1jammy) jammy; urgency=high

  * Skip ament_package() call when not building rosbag2_performance_benchmarking (#1242 <https://github.com/ros2/rosbag2/issues/1242>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.19.0-1jammy) jammy; urgency=high

  * Add option to specify a message type (#1153 <https://github.com/ros2/rosbag2/issues/1153>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Contributors: Emerson Knapp, Michael Orlov, carlossvg

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.18.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.17.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.15.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.15.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.13.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.12.0-1jammy) jammy; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
    * Enable YAML encoding/decoding for RecordOptions and StorageOptions
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.0-1jammy) jammy; urgency=high

  * Updated node declare_parameter to new syntax (#882 <https://github.com/ros2/rosbag2/issues/882>)
  * Updated benchmark package to use writer close() instead of old reset() (#881 <https://github.com/ros2/rosbag2/issues/881>)
  * Contributors: Adam Dąbrowski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.9.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.8.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.7.0-1jammy) jammy; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)

