=== debian/control ===
Source: ros-rolling-rosbag2-performance-benchmarking
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-launch-ros <!nocheck>, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-ros-testing <!nocheck>, ros-rolling-ros2bag <!nocheck>, ros-rolling-ros2launch <!nocheck>, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-performance-benchmarking-msgs, ros-rolling-rosbag2-py, ros-rolling-rosbag2-storage, ros-rolling-rosbag2-storage-default-plugins <!nocheck>, ros-rolling-rosbag2-test-common <!nocheck>, ros-rolling-sensor-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-performance-benchmarking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-psutil, ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-performance-benchmarking-msgs, ros-rolling-rosbag2-py, ros-rolling-rosbag2-storage, ros-rolling-sensor-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: Code to benchmark rosbag2
